%define name	ant-phone
%define version	0.2.1
%define release %mkrel 1

Name: 	 	%{name}
Summary:	Desktop ISDN telephony application
Version: 	%{version}
Release: 	%{release}

Source:		http://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.gz
Patch0:		ant-phone-0.2.1-linking.patch
URL:		http://www.nongnu.org/ant-phone/
License:	GPLv2
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig
BuildRequires:  gettext
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  gtk+2-devel
BuildRequires:	libsndfile-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	isdn4k-utils-devel
Requires:	desktop-common-data

%description
ANT is a desktop ISDN telephony application written for GNU/Linux. It supports
OSS (Open Sound System) and I4L (ISDN4Linux).  It directly interfaces OSS and
ISDN devices, so there is no need to install extra software or hardware like
PBX (Private Branch Exchange) or telephony cards, if you've got direct access
to an audio capable ISDN card (teles or HiSax chip-set, e.g. AVM Fritz Card)
and a full duplex sound card or two sound devices.

%prep
%setup -q
%patch0 -p0 -b .linking

%build
%configure2_5x --disable-rpath
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=ANT-phone
Comment=ISDN Telephone
Exec=%{name}
Icon=communications_phone_section
Terminal=false
Type=Application
Categories=GNOME;GTK;X-MandrivaLinux-Office-Communications-Phone;Network;Telephony;
EOF

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Wed Nov 10 2010 Jani Välimaa <wally@mandriva.org> 0.2.1-1mdv2011.0
+ Revision: 595625
- add missing BR
- new version 0.2.1
- add patch to fix linking
- add require for icon
- fix license, url and source tags
- clean spec

* Tue Sep 01 2009 Thierry Vignaud <tv@mandriva.org> 0.1.13-2mdv2010.0
+ Revision: 423975
- rebuild

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.1.13-1mdv2009.0
+ Revision: 218431
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Oct 24 2007 Jérôme Soyer <saispo@mandriva.org> 0.1.13-1mdv2008.1
+ Revision: 101732
- New release


* Wed Sep 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.12-2mdv2007.0
- XDG

* Wed Apr 26 2006 Austin Acton <austin@mandriva.org> 0.1.12-1mdk
- New release 0.1.12

* Wed Nov 23 2005 Austin Acton <austin@mandriva.org> 0.1.11-1mdk
- New release 0.1.11

* Thu Aug 25 2005 Austin Acton <austin@mandriva.org> 0.1.10-1mdk
- 0.1.10
- source URL
- configure 2.5

* Fri Feb 20 2004 David Baudens <baudens@mandrakesoft.com> 0.1.9-2mdk
- Fix menu

* Sun Jan 11 2004 Austin Acton <austin@linux.ca> 0.1.9-1mdk
- 0.1.9

* Mon Dec 15 2003 Franck Villaume <fvill@freesurf.fr> 0.1.8-2mdk
- add BuildRequires : libsndfile-devel
- mv libgtk+2.0-devel to gtk+2-devel for 64bits

* Sun Nov 30 2003 Austin Acton <aacton@yorku.ca> 0.1.8-1mdk
- 0.1.8

